Bug 112785 - Extraordinarily large number of unaligned accesses with NFS and -6.EL kernel
Extraordinarily large number of unaligned accesses with NFS and -6.EL kernel
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-31 15:41 EST by Glen A. Foster
Modified: 2007-11-30 17:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-09 17:01:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Glen A. Foster 2003-12-31 15:41:37 EST
Description of problem: I can understand the general lack of concern
for seeing "unaligned access" messages that find their way to
/dev/console on an IA64 (or Sparc64, or Alpha/64, etc.) system.  But
there's a concerning number of them coming from /bin/ls when looking
at directories mounted over NFS.  I see this on the Pinnacles systems;
I'm able to re-create this at will on our Eiger (rx7620).

So many that, when compared to -4.EL (RHEL3), they're alarmingly high.
Something ought to be done about it.

Version-Release number of selected component (if applicable):
# rpm -q kernel
kernel-2.4.21-6.EL

How reproducible: 100% (always)

Actual results:
[root@either-p0 root]# mount
/dev/sdb2 on / type ext3 (rw)
none on /proc type proc (rw)
none on /dev/pts type devpts (rw,gid=5,mode=620)
none on /dev/shm type tmpfs (rw)
test.lsy:/pbfd on /store type nfs (rw,nolock,addr=10.100.0.102)
[root@either-p0 root]# ls /store
kernel unaligned access to 0xe0000003fd7eb5fa, ip=0xa000000000248a01
kernel unaligned access to 0xe0000003fd7eb61a, ip=0xa000000000248a40
kernel unaligned access to 0xe0000003fd7eb5e6, ip=0xa000000000248a41
kernel unaligned access to 0xe0000003fd7eb62a, ip=0xa000000000248a80
cert  dist  ftp  FW  ISO  ks  lost+found  misc  scratch  store  test 
[root@either-p0 root]# ls /store/te<TAB>kernel unaligned access to
0xe0000003fd7e87fa, ip=0xa000000000248a01
kernel unaligned access to 0xe0000003fd7e881a, ip=0xa000000000248a40
kernel unaligned access to 0xe0000003fd7e87e6, ip=0xa000000000248a41
kernel unaligned access to 0xe0000003fd7e882a, ip=0xa000000000248a80
st/
3    cert    hazard.old  ia64  RCS   src   team.bak
bin  hazard  ia32        lib   sbin  team
[root@either-p0 root]#

Expected results: far, far fewer unaligned access errors when running
/bin/ls

Additional info: In the text above, the second "ls" call uses the TAB
key (filename expansion) capability of bash.  This is very easy to
reproduce on my Eiger (Olympia should show the same over NFS).  I can
get an unaligned access for EVERY unique directory when it's traversed
for the first time.
Comment 1 Arjan van de Ven 2004-01-01 04:44:26 EST
It seems we missed removing this printk....
Comment 2 Tim Burke 2004-01-05 22:43:56 EST
A fix for this got put into what it hoped to be the final U1 rebuild
tonight.
Comment 3 Glen A. Foster 2004-01-09 17:01:07 EST
Verified in the re0108 ISO
Comment 4 Ernie Petrides 2005-10-05 22:03:24 EDT
This was fixed in RHEL3 U1.

Note You need to log in before you can comment on or make changes to this bug.